<app-navbar></app-navbar>
<div class="container" *ngIf="singleOrder">
    <div class="row pt-3 mob-p-0">
       <div class="col-lg-12 m-a">
       <div class="order-dw">
          <!-- <ul class="page-url">
             <li><a >Votre compte</a></li>
             <li><a class="" >Vos commandes</a></li>
             <li><a class="active" >Détails de la commandes</a></li>
          </ul> -->
          <div *ngFor="let item of singleOrder">
            <div class="row">
                <div class="col-lg-12 col-md-12 col-sm-12 col-12">
                   <h2>Détails de la commandes</h2>
                </div>
                <div class="col-lg-12 col-md-12 col-sm-12 col-12">
                   <p><span>Commande le {{item.createdAt | date:'EEEE, d,MMMM, y'}}</span> <span>|</span> <span>N° de commande:{{item.order_id}}</span> </p>
                </div>
             </div>
             <div class="order-d mt-3">
                <div class="row">
                   <div class=" col-lg-6 col-sm-12 col-md-6 col-12">
                      <div class="row">
                         <div class="col-lg-6 col-md-6 col-sm-6 col-12">
                            <h4><strong>Adresse de livraison</strong></h4>
                            <p>{{item.shippingaddress.address}}</p>
                         </div>
                         <div class="col-lg-6 col-md-6 col-sm-6 col-12">
                            <h4><strong>Paiement à la livraison</strong></h4>
                             <span>{{item.payment_method}}</span>
                         </div>
                      </div>
                   </div>
                   <div class=" col-lg-6 col-sm-12 col-md-6 col-12 mt-650">
                      <ul class="o-detail">
                         <h4><strong>Récapitulatif de commande</strong></h4>
                         <li><span>Articles :</span><span class="float-right">{{item.discounted_amount | number : '1.2-2'}}  CFA</span></li>
                         <li><span>Livraison :</span><span class="float-right">{{item.totalshipping | number : '1.2-2'}} CFA</span></li>
                         <li><span>Montant :</span><span class="float-right">{{item.totaltax | number : '1.2-2'}} CFA</span></li>
                         <li><span>TVA :</span><span class="float-right">{{item.totaltax | number : '1.2-2'}} CFA</span></li>
                         <li><span>Total :</span><span class="float-right"> {{item.totalPrice | number : '1.2-2'}} CFA</span></li>
                         <!-- <li><span><strong>Montant total TTC</strong></span><span class="float-right">EUR 168,47</span></li> -->
                      </ul>
                   </div>
                   <!-- <div class="col-lg-12 col-md-12 col-sm-12 col-12 twelv">
                      
                      <a  class="ankr-big tran-a"><i class="fa-solid fa-angle-up"></i> Transaction</a>
                      <div class="tran" style="display:none;">
                      <p>Expedition 1: 22 janvier 2022 - Visa finissant par 6720: EUR 202,16</p>
                      <p>:EUR 202,16</p>
                      </div>
                   </div> -->
                </div>
             </div>
          </div>
          
          </div>
       </div>
    </div><br>
 </div>
 <app-footer></app-footer>